/*
 */
import java.io.*;
import java.util.Scanner;
import java.util.*;

public final class Count {

   private static final Scanner stdin =
      new Scanner (new BufferedInputStream (System.in));

   public static void main (final String[] args) {
      for (;;) {
         final String line = stdin.nextLine().toUpperCase();
         if (line.startsWith("*")) break;
         final char[] chars = line.toCharArray();
         int count=0;
         for (int i=0; i<chars.length; i++) {
            final char c = chars[i];
            if (c=='A' || c=='E' || c=='I' || c=='O' || c=='U') count++;
         }
         System.out.println (count);
      }
   }
}
